summaryrefslogtreecommitdiff
path: root/tests/scripts
diff options
context:
space:
mode:
authorNikos Mavrogiannopoulos <nmav@gnutls.org>2011-04-15 09:27:55 +0200
committerNikos Mavrogiannopoulos <nmav@gnutls.org>2011-04-15 09:28:55 +0200
commit5ec2c7d456483f147727d7e6e710cb285371b10e (patch)
tree51fc82cd531cea57acee18942c9571c69b0b56c3 /tests/scripts
parentcf5b7a4ada6f71b27956c2d5b1cf7c88a4e1ac79 (diff)
downloadgnutls-5ec2c7d456483f147727d7e6e710cb285371b10e.tar.gz
Added interoperability tests with openssl.
Diffstat (limited to 'tests/scripts')
-rw-r--r--tests/scripts/common.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/tests/scripts/common.sh b/tests/scripts/common.sh
index f7b75e6649..18c321fa14 100644
--- a/tests/scripts/common.sh
+++ b/tests/scripts/common.sh
@@ -20,6 +20,7 @@
fail() {
echo "Failure: $1" >&2
+ kill $PID
exit 1
}
@@ -38,6 +39,21 @@ launch_server() {
fi
}
+launch_bare_server() {
+ PARENT=$1;
+ shift;
+ $SERV $* >/dev/null 2>&1 &
+ LOCALPID="$!";
+ trap "[ ! -z \"${LOCALPID}\" ] && kill ${LOCALPID};" 15
+ wait "${LOCALPID}"
+ LOCALRET="$?"
+ if [ "${LOCALRET}" != "0" -a "${LOCALRET}" != "143" ] ; then
+ # Houston, we'v got a problem...
+ echo "Failed to launch server !"
+ kill -10 ${PARENT}
+ fi
+}
+
wait_server() {
trap "kill $1" 1 15 2
sleep 2